/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import '@stencil/core';




export namespace Components {

  interface CstCalendarNumber {
    'isPreselected': boolean;
    'month': number;
    'selected': any;
    'settings': any;
    'value': number;
    'year': number;
  }
  interface CstCalendarNumberAttributes extends StencilHTMLAttributes {
    'isPreselected'?: boolean;
    'month'?: number;
    'onOnDateSelected'?: (event: CustomEvent) => void;
    'selected'?: any;
    'settings'?: any;
    'value'?: number;
    'year'?: number;
  }

  interface CstCalendar {
    'config': any;
  }
  interface CstCalendarAttributes extends StencilHTMLAttributes {
    'config'?: any;
    'onSelectedDate'?: (event: CustomEvent) => void;
  }
}

declare global {
  interface StencilElementInterfaces {
    'CstCalendarNumber': Components.CstCalendarNumber;
    'CstCalendar': Components.CstCalendar;
  }

  interface StencilIntrinsicElements {
    'cst-calendar-number': Components.CstCalendarNumberAttributes;
    'cst-calendar': Components.CstCalendarAttributes;
  }


  interface HTMLCstCalendarNumberElement extends Components.CstCalendarNumber, HTMLStencilElement {}
  var HTMLCstCalendarNumberElement: {
    prototype: HTMLCstCalendarNumberElement;
    new (): HTMLCstCalendarNumberElement;
  };

  interface HTMLCstCalendarElement extends Components.CstCalendar, HTMLStencilElement {}
  var HTMLCstCalendarElement: {
    prototype: HTMLCstCalendarElement;
    new (): HTMLCstCalendarElement;
  };

  interface HTMLElementTagNameMap {
    'cst-calendar-number': HTMLCstCalendarNumberElement
    'cst-calendar': HTMLCstCalendarElement
  }

  interface ElementTagNameMap {
    'cst-calendar-number': HTMLCstCalendarNumberElement;
    'cst-calendar': HTMLCstCalendarElement;
  }


  export namespace JSX {
    export interface Element {}
    export interface IntrinsicElements extends StencilIntrinsicElements {
      [tagName: string]: any;
    }
  }
  export interface HTMLAttributes extends StencilHTMLAttributes {}

}
